- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
AbcRounding Class Reference

Rounding class. More...

`#include <AbcHeuristic.h>`

Inheritance diagram for AbcRounding:
[legend]
Collaboration diagram for AbcRounding:
[legend]

## Public Member Functions
| AbcRounding ()
| AbcRounding (AbcModel &model)
| AbcRounding (const AbcRounding &)
| ~AbcRounding ()
virtual AbcHeuristic * | clone () const
| Clone. More...
virtual void | setModel (AbcModel *model)
| update model (This is needed if cliques update matrix etc) More...
virtual int | solution (double &objectiveValue, double *newSolution)
| returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts More...
void | setSeed (int value)
| Set seed. More...
Public Member Functions inherited from AbcHeuristic
| AbcHeuristic ()
| AbcHeuristic (AbcModel &model)
virtual | ~AbcHeuristic ()
virtual int | solution (double &objectiveValue, double *newSolution, OsiCuts &cs)
| returns 0 if no solution, 1 if valid solution, -1 if just returning an estimate of best possible solution with better objective value than one passed in Sets solution values if good, sets objective value (only if nonzero code) This is called at same time as cut generators - so can add cuts Default is do nothing More...

## Protected Attributes
CoinPackedMatrix | matrix_
CoinPackedMatrix | matrixByRow_
int | seed_
Protected Attributes inherited from AbcHeuristic
AbcModel * | model_
| Model. More...

## Private Member Functions
AbcRounding & | operator= (const AbcRounding &rhs)
| Illegal Assignment operator. More...

## Detailed Description

Rounding class.

Definition at line 90 of file AbcHeuristic.h.

## Constructor & Destructor Documentation

AbcRounding::AbcRounding | ( |  | ) |

AbcRounding::AbcRounding | ( | AbcModel & | model | ) |

AbcRounding::AbcRounding | ( | const AbcRounding & |  | ) |

AbcRounding::~AbcRounding | ( |  | ) |

## Member Function Documentation

virtual AbcHeuristic* AbcRounding::clone | ( |  | ) | const
| virtual

Clone.

Implements AbcHeuristic.

virtual void AbcRounding::setModel | ( | AbcModel * | model | ) |
| virtual

update model (This is needed if cliques update matrix etc)

Reimplemented from AbcHeuristic.

virtual int AbcRounding::solution | ( | double & | objectiveValue,
|  | double * | newSolution
| ) |  |
| virtual

returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts

Implements AbcHeuristic.

void AbcRounding::setSeed | ( | int | value | ) |
| inline

Set seed.

Definition at line 121 of file AbcHeuristic.h.

AbcRounding& AbcRounding::operator= | ( | const AbcRounding & | rhs | ) |
| private

Illegal Assignment operator.

## Member Data Documentation

CoinPackedMatrix AbcRounding::matrix_
| protected

Definition at line 128 of file AbcHeuristic.h.

CoinPackedMatrix AbcRounding::matrixByRow_
| protected

Definition at line 131 of file AbcHeuristic.h.

int AbcRounding::seed_
| protected

Definition at line 134 of file AbcHeuristic.h.

The documentation for this class was generated from the following file:

- /tmp/CHiPPS-Blis-0.94.3/Alps/examples/Abc/AbcHeuristic.h